getCatalogWorkTags
列出一部作品的标签
挂到本作品上的标签。与 include=tags 同一批条目。spoiler=none|minor|major 是本页上限,缺省 none,与作品详情面完全一致。需要应用密钥。
get
/v2/catalog/works/{id}/tags scope
catalog:readAuthorization: Bearer nmk_live_…(v2 应用密钥,门户自助铸造,无需申请)参数
| 参数 | 类型 | 位置 | 说明 |
|---|---|---|---|
id 必填 | string | path | 十进制 catalog 作品 id。 |
nsfw | string | query | true 包含 r18。false 或缺省则隐藏 r18。仅 true 或 false。 |
cursor | string | query | 来自先前 next_cursor 的不透明 keyset cursor。必须以 cur_ 开头。 |
limit | string | query | 页大小 1-100,缺省 20。 |
spoiler | string | query | 本页的剧透上限:none(缺省)、minor 或 major。封闭词表;未知值为 400。超过上限的标签行不下发。只有源自 VNDB 的标签词表带剧透等级 —— Bangumi 与 DLsite 的民间分类不发布剧透概念,因此那些行读作 none —— 缺省为安全上限。 |
响应
facetsmap<string, object[]>具名 facet 桶。仅在请求 facets= 时出现。
«key»object[]可空
itemsobject[]必填本页成员。空数组,从不为 null。
display_namestring必填不得用作判别条件。
idstring必填 可空规范 tag id。本行未映射时为 null。
is_sexualboolean必填该 tag 是否属于性相关族。
sourcestring必填开放词表来源。不得用作判别条件。
spoilerstring必填本次挂接的剧透等级。
枚举noneminormajortag_kindstring必填 可空标签词表类别。未映射则为 null。
枚举contentmetatierstring必填 可空标签库存档位。未映射则为 null。
枚举corelongtailhiddenwork_countintegerint64 必填 可空同一 NSFW 闸下可见的作品。未映射则为 null。
missingstring[]已请求但不可见的 ids。仅出现在 ids=/refs= 批量车道。
next_cursorstring不透明 keyset cursor。末页省略。
objectstring必填类型判别字段。恒为 list。
枚举listtotalintegerint64仅当 include_total=true 时出现。与 items 同一可见性闸。
请求示例
cURL
curl "https://api.nextmoe.dev/v2/catalog/works/value/tags" \
-H "Authorization: Bearer nmk_live_<YOUR_KEY>"